Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Projection Class Reference

Projection nodes set up the frustum/orthographic projection used when rendering the scene. More...

Inheritance diagram for osg::Projection:

[legend]
List of all members.

## Public Member Functions
| Projection ()
| Projection (const Projection &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| Projection (const Matrix &matix)
| META_Node (osg, Projection)
void | setMatrix (const Matrix &mat)
| Set the transform's matrix.
const Matrix & | getMatrix () const
| Get the transform's matrix.
void | preMult (const Matrix &mat)
| preMult transform.
void | postMult (const Matrix &mat)
| postMult transform.
## Protected Member Functions
virtual | ~Projection ()
## Protected Attributes
Matrix | _matrix

## Detailed Description

Projection nodes set up the frustum/orthographic projection used when rendering the scene.

## Constructor & Destructor Documentation

osg::Projection::Projection | ( |  | ) |

osg::Projection::Projection | ( | const Projection & | ,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

osg::Projection::Projection | ( | const Matrix & | matix | ) |

virtual osg::Projection::~Projection | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

const Matrix& osg::Projection::getMatrix | ( |  | ) | const`[inline]`

| Get the transform's matrix.

osg::Projection::META_Node | ( | osg | ,
|  | Projection |
| ) |

void osg::Projection::postMult | ( | const Matrix & | mat | ) | `[inline]`

| postMult transform.

void osg::Projection::preMult | ( | const Matrix & | mat | ) | `[inline]`

| preMult transform.

void osg::Projection::setMatrix | ( | const Matrix & | mat | ) | `[inline]`

| Set the transform's matrix.

## Member Data Documentation

Matrix osg::Projection::_matrix`[protected]`

The documentation for this class was generated from the following file:

- Projection